<template>
  <v-card class="mx-auto people-entity"
          max-width="344">
    <v-card-title class="justify-center pb-0 people-entity__name">
      {{ person.name }}
    </v-card-title>
    <BaseAvatar :person="person"/>
    <v-card-text class="people-entity__info">
      <BaseChip :item="person.hair_color" title="Hair" icon="face-man-outline"/>
      <BaseChip :item="person.eye_color" title="Eye" icon="eye-outline"/>
      <BaseChip :item="person.gender" title="Gender"
                :icon="person.gender === 'female' ? 'gender-female': person.gender === 'male' ? 'gender-male': 'robot' "/>
      <BaseChip v-if="planet" :item="planet.name" title="Planet" icon="earth" :link="`/planet/?value=${planet.url}`"/>
      <BaseChip v-else item="Not found" title="Planet" icon="earth"/>
    </v-card-text>
  </v-card>
</template>

<script lang="ts">

import BaseChip from '~/components/BaseChip/BaseChip.vue';
import BaseAvatar from '~/components/BaseAvatar/BaseAvatar.vue'
import Vue from "vue";

export default Vue.extend({
  name: "PeopleEntity",
  components: {BaseChip, BaseAvatar},
  props: {
    person: {
      type: Object,
    },
    planet: {
      type: Object,
    }
  },
})
</script>

<style lang="scss" scoped>

.people-entity {
  height: 100%;

  &__name {
    font-weight: bold;
    color: #454343;
    font-size: 16px;
  }

  &__info {
    background-color: whitesmoke;
    justify-content: center;
  }
}

</style>
